Skip to main content
GET
/
test-sets
/
{test_set_id}
/
prompt-template
Get test set prompt template
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/test-sets/{test_set_id}/prompt-template \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": {
    "eligible": true,
    "reason": "<string>",
    "details": {
      "shape_distribution": [
        {}
      ]
    },
    "template": {
      "messages": [
        {
          "role": "<string>",
          "content": "<string>",
          "template_regex": {},
          "template_regex_optional": [
            "<string>"
          ]
        }
      ],
      "pass_through_indices": [
        123
      ]
    },
    "sample_bindings": [
      {}
    ],
    "request_count_considered": 123,
    "test_set_total_requests": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

test_set_id
integer
required

Response

200 - application/json

Get test set prompt template.

data
object

Inferred prompt template for a test set, ready to be tweaked and forwarded into Config.prompt_template on POST /v1/test-runs. When the test set's captured requests have non-uniform message shapes, only eligible, reason, details, request_count_considered, and test_set_total_requests are populated.